#!/bin/ksh
# @(#) DBservices/delivery/unix/install/install_storedprocedures.ksh DBservices_r4.79.0.3:cset.032971:5:5 11/12/03 @(#)
#
################################################################################
#
#                   COPYRIGHT NOTICE
#
# This file remains the intellectual property of:
#
#                     ADC Metrica
#                    Spencer House
#                    23 Sheen Road
#                 Richmond, Surrey, UK
#
# All rights reserved. Copyright ADC Metrica, 2002.
#
###############################################################################
#
# Install script for the Summariser stored procedures. 
#

echo "Installing the Summariser stored procedures..."

$METRICA_DIR/SPRegistry/bin/metrica_spradmin.ksh -create -name daily_CalculateNextTime      -category summariser -datasource serial://datasources/metrica/MetricaPerformance  -function -file ../data/daily_CalculateNextTime.sql
$METRICA_DIR/SPRegistry/bin/metrica_spradmin.ksh -create -name dailynot56_CalculateNextTime -category summariser -datasource serial://datasources/metrica/MetricaPerformance  -function -file ../data/dailynot56_CalculateNextTime.sql
$METRICA_DIR/SPRegistry/bin/metrica_spradmin.ksh -create -name hourly_CalculateNextTime     -category summariser -datasource serial://datasources/metrica/MetricaPerformance  -function -file ../data/hourly_CalculateNextTime.sql
$METRICA_DIR/SPRegistry/bin/metrica_spradmin.ksh -create -name minutes_CalculateNextTime    -category summariser -datasource serial://datasources/metrica/MetricaPerformance  -function -file ../data/minutes_CalculateNextTime.sql
$METRICA_DIR/SPRegistry/bin/metrica_spradmin.ksh -create -name monthly_CalculateNextTime    -category summariser -datasource serial://datasources/metrica/MetricaPerformance  -function -file ../data/monthly_CalculateNextTime.sql
$METRICA_DIR/SPRegistry/bin/metrica_spradmin.ksh -create -name seconds_CalculateNextTime    -category summariser -datasource serial://datasources/metrica/MetricaPerformance  -function -file ../data/seconds_CalculateNextTime.sql
$METRICA_DIR/SPRegistry/bin/metrica_spradmin.ksh -create -name weekly_CalculateNextTime     -category summariser -datasource serial://datasources/metrica/MetricaPerformance  -function -file ../data/weekly_CalculateNextTime.sql
if [ "$?" != "0" ] ; then
    echo "Error installing the stored procedures."
    exit 1
fi

$METRICA_DIR/SPRegistry/bin/metrica_spradmin.ksh -create -name daily_CalculatePeriod      -category summariser -datasource serial://datasources/metrica/MetricaPerformance  -function -file ../data/daily_CalculatePeriod.sql
$METRICA_DIR/SPRegistry/bin/metrica_spradmin.ksh -create -name dailynot56_CalculatePeriod -category summariser -datasource serial://datasources/metrica/MetricaPerformance  -function -file ../data/dailynot56_CalculatePeriod.sql
$METRICA_DIR/SPRegistry/bin/metrica_spradmin.ksh -create -name hourly_CalculatePeriod     -category summariser -datasource serial://datasources/metrica/MetricaPerformance  -function -file ../data/hourly_CalculatePeriod.sql
$METRICA_DIR/SPRegistry/bin/metrica_spradmin.ksh -create -name minutes_CalculatePeriod    -category summariser -datasource serial://datasources/metrica/MetricaPerformance  -function -file ../data/minutes_CalculatePeriod.sql
$METRICA_DIR/SPRegistry/bin/metrica_spradmin.ksh -create -name monthly_CalculatePeriod    -category summariser -datasource serial://datasources/metrica/MetricaPerformance  -function -file ../data/monthly_CalculatePeriod.sql
$METRICA_DIR/SPRegistry/bin/metrica_spradmin.ksh -create -name seconds_CalculatePeriod    -category summariser -datasource serial://datasources/metrica/MetricaPerformance  -function -file ../data/seconds_CalculatePeriod.sql
$METRICA_DIR/SPRegistry/bin/metrica_spradmin.ksh -create -name weekly_CalculatePeriod     -category summariser -datasource serial://datasources/metrica/MetricaPerformance  -function -file ../data/weekly_CalculatePeriod.sql
if [ "$?" != "0" ] ; then
    echo "Error installing the stored procedures."
    exit 1
else
    echo "The Summariser stored procedures have been installed"
fi

echo "Installing the Summariser stored procedure templates"

$METRICA_DIR/SPRegistry/bin/metrica_spradmin.ksh -create -name dbservPDQTemplate -category summariser -datasource serial://datasources/metrica/MetricaPerformance -template -function -file ../data/dbserv_summariser_sp_pdq_template.spl
$METRICA_DIR/SPRegistry/bin/metrica_spradmin.ksh -create -name dbservExplainTemplate -category summariser -datasource serial://datasources/metrica/MetricaPerformance -template -function -file ../data/dbserv_summariser_sp_explain_template.spl

if [ "$?" != "0" ] ; then
    echo "Error installing the Summariser stored procedure templates "
    exit 1
else
    echo "The Summariser stored procedure templates have been installed"
fi
