#!/bin/ksh
# @(#) DBservices/delivery/upgrade/DBServices-3_PM2213_fixpack2_upgrade.ksh DBservices_r4.79.0.3:aset.037648:1:1 12/12/07 @(#)
###############################################################################
#                   COPYRIGHT NOTICE
#
# This file remains the intellectual property of:
#
#                METRICA GALWAY
#
#
# Title:        DBServices-3_PM2213_fixpack2_upgrade.ksh
# Author:       Noel Kyne
# Description:  This scripts upgrades DBServices-3.
#
###############################################################################
# Upgrade from : DBServices-3_r4.78.0.11 (Boris)
# Upgrade to   : DBServices-3 r4.78.0.x (Boris)
###############################################################################

echo "Upgrade DBServices-3 starting."

#create taskid unique index

echo
echo "Upgrade step 1 starting."
echo

echo "Creating Unique index"


dbaccess $METRICA_ADMINISTRATION_DB <<! 2> /dev/null | grep taskid_idx_summ > /dev/null
info indexes for summariser_config;
!

if [ "$?" != "0" ] ; then

	echo " taskid column unique index doesn't exist, creating it"	

	CREATE_INDEX="create unique index taskid_idx_summariser_config
	   on summariser_config(taskid)"

	echo "Executing: "$CREATE_INDEX

	echo $CREATE_INDEX | dbaccess $METRICA_ADMINISTRATION_DB

	if [ "$?" != "0" ] ; then
	       echo
	       echo "Upgrade step 1 completed with error."
	       echo "Error upgrading database "$METRICA_ADMINISTRATION_DB
	       echo "Problem with SQL: " $CREATE_INDEX 
	       echo
	       exit 1
	else
		echo "Upgrade step 1 completed successfully."
	fi
else
		echo
		echo "Upgrade step 1 skipped (already upgraded)."
		echo
fi

