#!/bin/ksh
##########################################################################
# SysManagement/delivery/unix/bin/metrica_cronwrap.ksh SysManagement_r4.79.0.9:aset.002350:1:1 02/12/04
#
#                  COPYRIGHT NOTICE
#
# This file remains the intellectual property of:
#
#                 ADC Software Systems UK
#                     Spencer House
#                     23 Sheen Road
#                  Richmond, Surrey, UK
#
# All rights reserved. Copyright ADC Software Systems UK, 2002-2003.
#
# Title:        metrica_cron_wrap.ksh
# Author:       Shane O'Rourke (shane_orourke@adc.com)
# Description:  Sets all the runtime environment variables
#               and then runs the called program name with
#               the arguments specified. Use in crontab file
#               instead of calling program name explicitly.
#
# Usage:        metrica_cron_wrap.ksh <progname> <prog args>
#
##########################################################################

# Setup variables. Check to see if we want an instance other than
# the default metrica instance.
#
if [[ "$METRICA_INSTALL_INSTANCE" = "" || "$METRICA_INSTALL_INSTANCE" = "metrica" ]] ; then
  .  $HOME/.metrica/setup.ksh
else
  # We have an instance variable set to something other than metrica, so
  # use an instance specific environment setup file
  . $HOME/.metrica/setup_$METRICA_INSTALL_INSTANCE.ksh
fi

# Run Program.
#
exec $*;
