
-- spr/delivery/splog/data/metricaLogLevel.sql spr_r4.79.0.2:cset.031397:2:2 08/11/03
--
--             COPYRIGHT NOTICE
--
-- This file remains the intellectual property of:
--         ADC Software Systems UK
--              Spencer House
--              23 Sheen Road
--           Richmond, Surrey, UK
--
-- All rights reserved. Copyright ADC Software Systems UK, 2001.
--

-- Function to convert log level from string to integer
-- WARNING: Do not call metricaLog from this function as it will
-- cause a circular dependency

CREATE FUNCTION metricaLogLevel (loglevel   VARCHAR(255) )
	RETURNING INTEGER;

    DEFINE level INTEGER;
	DEFINE default_level INTEGER;
	DEFINE rtnlevel INTEGER;

	LET default_level=4;
	LET level = default_level;


	IF loglevel = "DEBUG" THEN
		LET level=6;
	ELIF loglevel = "INFO" THEN
	    	LET level=5;
	ELIF loglevel = "WARNING" THEN
		LET level=4;
      	ELIF loglevel = "ERROR" THEN
		LET level=3;
	ELIF loglevel = "FATAL" THEN
		LET level=2;
	ELIF loglevel = "AUDIT" THEN
		LET level=1;
	ELIF loglevel = "OFF" THEN
		LET level=0;

    END IF;

	--SET DEBUG FILE TO 'DEBUGmetricaLogLevel';
    --TRACE ON;	
	--TRACE 'loglevel:'||loglevel ||'; level:'||level ||'; default_level:'||default_level;
	
	LET rtnlevel=level;
	RETURN rtnlevel; 
END FUNCTION
