-- spr/delivery/splog/data/metricaTimeNow.sql spr_r4.79.0.2:aset.024423:1:1 12/11/02
--
--             COPYRIGHT NOTICE
--
-- This file remains the intellectual property of:
--         ADC Software Systems UK
--              Spencer House
--              23 Sheen Road
--           Richmond, Surrey, UK
--
-- All rights reserved. Copyright ADC Software Systems UK, 2001.
--

-- Function to return the current time in milliseconds
-- WARNING: Do not call metricaLog stored procedure from this function,
-- because will cause circular dependency

CREATE FUNCTION metricaTimeNow()
       RETURNING INT;
	
	   DEFINE CONST1 INT;
       DEFINE P1 DECIMAL(12,3);
       DEFINE P2 INT;

	   --SET DEBUG FILE TO 'DEBUGmetricaTimeNow' ;
	   --TRACE ON;

       -- Do it in two parts, or else the query overflows
       --
       LET P1 = (INTERVAL(0.0) SECOND(9) TO FRACTION(3) 
                + (CURRENT-(DATETIME (2000-1-1) YEAR TO DAY))) || "";
       -- The number of milliseconds from 0:00 1/1/1970 to 0:00 1/1/2000
	   -- was the following:
	   LET CONST1 = 946684800;

	   LET P2 = ROUND(P1) + CONST1;
	   --TRACE  "P1:" || P1 ||"; CONST1:" || CONST1 ||"; P2"|| P2;


       RETURN P2;
END FUNCTION;
