#!/usr/bin/env perl
###############################################################################	
#
# @(#) SysManagement/delivery/utils/bin/Monitoring/metrica_change_column_type.pl SysManagement_r4.79.0.9:cset.007910:2:2 01/24/06 @(#)
#
#                   COPYRIGHT NOTICE
#
# This file remains the intellectual property of:
#
#		 Vallent Software Systems UK
#			Spencer House
#			23 Sheen Road
#		  Richmond, Surrey, UK
#
# All rights reserved. Copyright Vallent Software Systems UK, 2005.
#
# Title:	    metrica_change_column_type.pl
# Author:	    Mark O'Connor    
#
# Description:      Alter table column types           
#
##############################################################################
#---------------------------------------------------------------------------
#       CORE PERL LIBRARIES
#---------------------------------------------------------------------------
use strict;
use Getopt::Long;
use Pod::Usage;

#---------------------------------------------------------------------------
#       PROGRAM LIBRARIES
#---------------------------------------------------------------------------
use lib "$ENV{METRICA_DIR}/SystemManagement/bin/lib";
use Application;

#---------------------------------------------------------------------------
#       PRIVATE GLOBAL CONSTANTS
#---------------------------------------------------------------------------
my $OK           = "OK";

#---------------------------------------------------------------------------
#       PRIVATE GLOBAL VARIABLES
#---------------------------------------------------------------------------
my %param = ();                      # Commandline options
my $app   = new Application();       # Application object

#---------------------------------------------------------------------------
#       MAIN CODE
#---------------------------------------------------------------------------

#
# Command line option handling
#
GetOptions(\%param, "help", 
	            "man",
                    "database=s",
                    "log_file=s",
                    "column=s@",
                    "from_type=s",
                    "to_type=s",
                    "table=s@") or pod2usage(2);       
pod2usage(1) if $param{help};
pod2usage(-exitstatus => 0, -verbose => 2) if $param{man};

#
# Get normal parameters
#
if ((@ARGV == 0) && defined($param{database}) 
                 && defined($param{log_file}) 
                 && defined($param{column}) 
                 && defined($param{from_type}) 
                 && defined($param{to_type}) 
                 && defined($param{table})) {
   $app->main(\%param);
} 
else {
   pod2usage(2);
}

#
# Call main method of the application object
#

#
# Cleanup
#
exit 0;

__END__

=head1 NAME

change_column_type.pl - Change table column type program

=head1 SYNOPSIS

 change_column_type.pl [options] 

  -help      Gives a list of options

=head1 OPTIONS

=over

=item B<-help>

Print a brief help message and exits.

=item B<-man>

Prints the manual page and exits.

=back

=head1 DESCRIPTION

B<change_column_type> will attempt to change the column type in a list
of given tables.
All indexes involving this column will be first dropped and then re-created.

=cut

