-- spr/delivery/splog/data/metricaLog.sql spr_r4.79.0.2:aset.024418:1:1 12/11/02
--
--             COPYRIGHT NOTICE
--
-- This file remains the intellectual property of:
--         ADC Software Systems UK
--              Spencer House
--              23 Sheen Road
--           Richmond, Surrey, UK
--
-- All rights reserved. Copyright ADC Software Systems UK, 2001.
--

-- Procedure to log messages 

CREATE PROCEDURE metricalog(message_id     VARCHAR(255), component_id   VARCHAR(255), message_levelv  VARCHAR(10), paramstring     LVARCHAR )

    DEFINE current_level INTEGER;
    DEFINE current_levelv VARCHAR(10);
    DEFINE message_level INTEGER;

    --SET DEBUG FILE TO 'DEBUGmetricaLog';
    --TRACE ON;

    -- Find the current log level for this component
    -- Query the property in the propertyservice_property table
    -- in the admiistration database
    -- SELECT value INTO current_levelv FROM propertyservice_property, propertyservice_context
    --  WHERE propertyservice_property.name="logservice_logLevel"
    --  AND propertyservice_property.context_id=propertyservice_context.id
    --  AND propertyservice_context.name=component_id;

    -- Unable to query administration database because it is a logging database and this is a nonlogging db
    -- Instead query the property from the sprlog_property
    SELECT splog_property.loglevel INTO current_levelv FROM splog_property
        WHERE splog_property.component_id=component_id;
    CALL metricaLogLevel(current_levelv) RETURNING current_level;	

    -- Find the log level this message is to be logged at:
    CALL metricaLogLevel(message_levelv) RETURNING message_level;

	--TRACE 'current_level:'|| current_level||'; message_level:'|| message_level;

    IF current_level >= message_level THEN
        INSERT INTO ls_data_applogs
                   (message_id,logtime, component_id,message_level,params)
            VALUES (message_id, metricaTimeNow(), component_id,message_level,paramstring);
    END IF

END PROCEDURE;


 

 

 

